searchNodes=[{"doc":"Converts the Dependents.Tree of all or a single app into table maps. The dependencies of an app are specified in the mix.exs file. The dependents of an app are those apps using it as a dependency.","ref":"Dependents.Tree.html","title":"Dependents.Tree","type":"module"},{"doc":"See Dependents.Tree.Proxy.new/0 .","ref":"Dependents.Tree.html#new/0","title":"Dependents.Tree.new/0","type":"function"},{"doc":"Returns the projects directory as set by environment variable PROJEX_DIR .","ref":"Dependents.Tree.html#projects_dir/0","title":"Dependents.Tree.projects_dir/0","type":"function"},{"doc":"Converts the Dependents.Tree of all or a single app into table maps.","ref":"Dependents.Tree.html#to_maps/1","title":"Dependents.Tree.to_maps/1","type":"function"},{"doc":"See Dependents.Tree.Proxy.to_maps/2 .","ref":"Dependents.Tree.html#to_maps/2","title":"Dependents.Tree.to_maps/2","type":"function"},{"doc":"Local app","ref":"Dependents.Tree.html#t:app/0","title":"Dependents.Tree.app/0","type":"type"},{"doc":"Number of local dependencies","ref":"Dependents.Tree.html#t:dcys/0","title":"Dependents.Tree.dcys/0","type":"type"},{"doc":"Local dependent","ref":"Dependents.Tree.html#t:dep/0","title":"Dependents.Tree.dep/0","type":"type"},{"doc":"Number of local dependents","ref":"Dependents.Tree.html#t:deps/0","title":"Dependents.Tree.deps/0","type":"type"},{"doc":"Topological rank","ref":"Dependents.Tree.html#t:rank/0","title":"Dependents.Tree.rank/0","type":"type"},{"doc":"Ranks of topologically ordered apps","ref":"Dependents.Tree.html#t:ranks/0","title":"Dependents.Tree.ranks/0","type":"type"},{"doc":"Tree mapping local apps to local dependents","ref":"Dependents.Tree.html#t:t/0","title":"Dependents.Tree.t/0","type":"type"},{"doc":"Table map for printing","ref":"Dependents.Tree.html#t:table_map/0","title":"Dependents.Tree.table_map/0","type":"type"},{"doc":"Parses the command line and prints a Dependents.Tree table.","ref":"Dependents.Tree.CLI.html","title":"Dependents.Tree.CLI","type":"module"},{"doc":"Parses the command line and prints a Dependents.Tree table. The dependencies of an app are specified in the mix.exs file. The dependents of an app are those apps using it as a dependency. argv can be &quot;-h&quot; or &quot;--help&quot;, which prints info on the command's usage and syntax. Otherwise it is an apps's directory, to list all direct and indirect dependents of that app. To list dependents of all apps, specify switch --all . Parameters argv - command line arguments (list) Switches -h or --help - for help -a or --all - to list dependents of all apps","ref":"Dependents.Tree.CLI.html#main/1","title":"Dependents.Tree.CLI.main/1","type":"function"},{"doc":"In a diagram of a graph, a vertex is usually represented by a circle with a label, and an edge is represented by an arrow extending from one vertex to another. Here vertices are apps and edges are arrows extending from an app to its dependents.","ref":"Dependents.Tree.Digraph.html","title":"Dependents.Tree.Digraph","type":"module"},{"doc":"Returns a recursive list of the out-neighbors of app . If an edge is emanating from v and incident on w, then w is said to be an out-neighbor of v, and v is said to be an in-neighbor of w.","ref":"Dependents.Tree.Digraph.html#dependents/2","title":"Dependents.Tree.Digraph.dependents/2","type":"function"},{"doc":"Converts a Dependents.Tree into a digraph.","ref":"Dependents.Tree.Digraph.html#from_tree/1","title":"Dependents.Tree.Digraph.from_tree/1","type":"function"},{"doc":"Assigns each app (vertex) to its topological rank in digraph .","ref":"Dependents.Tree.Digraph.html#ranks/1","title":"Dependents.Tree.Digraph.ranks/1","type":"function"},{"doc":"Erlang digraph","ref":"Dependents.Tree.Digraph.html#t:t/0","title":"Dependents.Tree.Digraph.t/0","type":"type"},{"doc":"Converts a DOT graph (file deps_tree.dot ) into a Dependents.Tree . Also returns the directory of a DOT graph given its path.","ref":"Dependents.Tree.DotGraph.html","title":"Dependents.Tree.DotGraph","type":"module"},{"doc":"Returns the directory of a DOT graph (file deps_tree.dot ) given its path . Examples iex&gt; alias Dependents.Tree.DotGraph iex&gt; projs_dir = &quot;c:/Users/Ray/Documents/ex_dev/projects&quot; iex&gt; path1 = &quot; \#{ projs_dir } /file_only_logger/deps_tree.dot&quot; iex&gt; path2 = &quot; \#{ projs_dir } /file only logger/deps_tree.dot&quot; iex&gt; { DotGraph . dir ( path1 ) , DotGraph . dir ( path2 ) } { &quot;file_only_logger&quot; , nil }","ref":"Dependents.Tree.DotGraph.html#dir/1","title":"Dependents.Tree.DotGraph.dir/1","type":"function"},{"doc":"Returns the Dependents.Tree of a DOT graph. A DOT graph line maps an app to a dependency. For example: &quot;noaa_observations&quot; &quot;noaa_observations&quot; -&gt; &quot;ex_doc&quot; [ label = &quot;~&gt; 0.22&quot; ] &quot;ex_doc&quot; -&gt; &quot;earmark_parser&quot; [ label = &quot;~&gt; 1.4.0&quot; ] &quot;noaa_observations&quot; -&gt; &quot;io_ansi_table&quot; [ label = &quot;~&gt; 1.0&quot; ] &quot;noaa_observations&quot; -&gt; &quot;persist_config&quot; [ label = &quot;~&gt; 0.4&quot; ] Converted into a Dependents.Tree , the above 5 lines become: %{ # Number of local dependencies... noaa_observations : [ 2 ] , io_ansi_table : [ :noaa_observations ] , persist_config : [ :noaa_observations ] } Examples iex&gt; alias Dependents.Tree.DotGraph iex&gt; projs_dir = &quot;c:/Users/Ray/Documents/ex_dev/projects&quot; iex&gt; dir = &quot;noaa_observations&quot; iex&gt; path = &quot; \#{ projs_dir } / \#{ dir } /deps_tree.dot&quot; iex&gt; dirs = [ &quot;io_ansi_table&quot; , &quot;log_reset&quot; , &quot;persist_config&quot; , dir ] iex&gt; DotGraph . to_tree ( { path , dir } , dirs ) %{ noaa_observations : [ 3 ] , log_reset : [ :noaa_observations ] , io_ansi_table : [ :noaa_observations ] , persist_config : [ :noaa_observations ] }","ref":"Dependents.Tree.DotGraph.html#to_tree/2","title":"Dependents.Tree.DotGraph.to_tree/2","type":"function"},{"doc":"Prints info on the escript command's usage and syntax.","ref":"Dependents.Tree.Help.html","title":"Dependents.Tree.Help","type":"module"},{"doc":"Prints info on the escript command's usage and syntax.","ref":"Dependents.Tree.Help.html#show_help/0","title":"Dependents.Tree.Help.show_help/0","type":"function"},{"doc":"Creates a Dependents.Tree of all local apps. Also converts a Dependents.Tree into table maps.","ref":"Dependents.Tree.Proxy.html","title":"Dependents.Tree.Proxy","type":"module"},{"doc":"Creates a Dependents.Tree of all local apps. Examples iex&gt; alias Dependents.Tree.Proxy iex&gt; tree = Proxy . new ( ) iex&gt; %{ log_reset : [ n1 | deps1 ] , io_ansi_table : [ n2 | deps2 ] } = tree iex&gt; Enum . all? ( deps1 , &amp; is_atom / 1 ) and Enum . all? ( deps2 , &amp; is_atom / 1 ) and ...&gt; is_integer ( n1 ) and is_integer ( n2 ) true","ref":"Dependents.Tree.Proxy.html#new/0","title":"Dependents.Tree.Proxy.new/0","type":"function"},{"doc":"Converts a Dependents.Tree into table maps. Examples iex&gt; alias Dependents.Tree.Proxy iex&gt; tree = %{ ...&gt; io_ansi_table : [ 3 , :noaa_observations , :github_issues ] , ...&gt; map_sorter : [ 4 , :io_ansi_table ] ...&gt; } iex&gt; ranks = %{ io_ansi_table : 27 , map_sorter : 25 } iex&gt; maps = Proxy . to_maps ( tree , ranks ) iex&gt; [ ...&gt; %{ ...&gt; app : :io_ansi_table , chunk : 1 , ...&gt; dependent_1 : :noaa_observations , ...&gt; dependent_2 : :github_issues , ...&gt; dependent_3 : nil , ...&gt; dependent_4 : nil , ...&gt; dcys : 3 , deps : 2 , hex : &quot;Y&quot; , rank : 27 , ver : ver_27 ...&gt; } , ...&gt; %{ ...&gt; app : :map_sorter , chunk : 1 , ...&gt; dependent_1 : :io_ansi_table , ...&gt; dependent_2 : nil , ...&gt; dependent_3 : nil , ...&gt; dependent_4 : nil , ...&gt; dcys : 4 , deps : 1 , hex : &quot;Y&quot; , rank : 25 , ver : ver_25 ...&gt; } ...&gt; ] = maps iex&gt; is_binary ( ver_27 ) and is_binary ( ver_25 ) true","ref":"Dependents.Tree.Proxy.html#to_maps/2","title":"Dependents.Tree.Proxy.to_maps/2","type":"function"}]